Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162318 - GTK Applications using cairo crashing
Summary: GTK Applications using cairo crashing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 12:09 UTC by Christian Nolte
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-27 05:58:37 UTC


Attachments (Terms of Use)

Description Christian Nolte 2005-07-02 12:09:41 UTC
Description of problem:
-----------------------

GTK-Applications which are using libcairo are crashing. This could be verified
for eclipse, memprof and bug-buddy.


Version-Release number of selected component (if applicable):
-------------------------------------------------------------

cairo-0.5.1-4
cairo-devel-0.5.1-4
memprof-0.5.1-5
bug-buddy-2.10.0-1
eclipse-platform-3.1.0_fc-0.RC3.3


How reproducible:
-----------------

Start any of the mentioned Applications and click on a Menu-Entry. The
Application will crash.
Actual results:
---------------

(memprof:27885): Gdk-WARNING **: Using Cairo rendering requires the drawable
argument to
have a specified colormap. All windows have a colormap,
however, pixmaps only have colormap by default if they
were created with a non-NULL window argument. Otherwise
a colormap must be set on them with gdk_drawable_set_colormap.

(bug-buddy:27896): Gdk-WARNING **: Using Cairo rendering requires the drawable
argument to
...

Eclipse is also affected: see BUG 162297 (Logfile is attached)

Comment 1 Matthias Clasen 2006-11-27 05:58:37 UTC
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component




Note You need to log in before you can comment on or make changes to this bug.